<html><head>

<p class=MsoNormal><span lang=EN-US>This document contains an open source software notice for this product. The open source software licenses are granted by the respective right holders. And the open source licenses prevails all other license information with regard to the respective open source software contained in the product.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id1">OpenSSL</a></li>
<li><a href="#id2">WebRTC</a></li>
<li><a href="#id0">WebRTC/examples/androidapp/third_party/autobanh</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
WebRTC/examples/androidapp/third_party/autobanh <br/>
</div><!-- file-list -->

<pre class="license-text">


                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross-claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third-party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS


</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
OpenSSL <br/>
</div><!-- file-list -->

<pre class="license-text">
utilopenssl-update-copyright**************************************
Copyright 1995-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2007-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2002, Oracle and/or its affiliates. All rights reserved
Copyright 2005 Nokia. All rights reserved.
Copyright 2004-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016 VMS Software, Inc. All Rights Reserved.
Copyright 1995-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2004, EdelKey Project. All Rights Reserved.
Originally written by Christophe Renou and Peter Sylvester, for the EdelKey project.
Copyright 1998-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2013-2014 Timo Teräs &lt;timo.teras@gmail.com&gt;
Copyright 2010-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017 BaishanCloud. All rights reserved.
Copyright 2012-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2017, Oracle and/or its affiliates.  All rights reserved.
Copyright 1998-2001 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2018-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017 Ribose Inc. All Rights Reserved.
Copyright 2014-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2003-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2012, Intel Corporation. All Rights Reserved.
Originally written by Shay Gueron (1, 2), and Vlad Krasnov (1)
Copyright 1998-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001-2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2010-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2003-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2007-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015 Cryptography Research, Inc.
Originally written by Mike Hamburg
Copyright 2015-2016 Cryptography Research, Inc.
Copyright 2014 Cryptography Research, Inc.
Copyright 2014-2016 Cryptography Research, Inc.
Copyright 2016 Cryptography Research, Inc.
Copyright 2010-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2014, Intel Corporation. All Rights Reserved.
Copyright (c) 2015, CloudFlare, Inc.
Originally written by Shay Gueron (1, 2), and Vlad Krasnov (1, 3)
Copyright 2009-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012-2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013-2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2009-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004-2014, Akamai Technologies. All Rights Reserved.
Copyright 2003-2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2018, Oracle and/or its affiliates.  All rights reserved.



  LICENSE ISSUES
  ==============

  The OpenSSL toolkit stays under a double license, i.e. both the conditions of
  the OpenSSL License and the original SSLeay license apply to the toolkit.
  See below for the actual license texts.

  OpenSSL License
  ---------------

/* ====================================================================
 * Copyright (c) 1998-2019 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;
 *
 * 4. The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl-core@openssl.org.
 *
 * 5. Products derived from this software may not be called &quot;OpenSSL&quot;
 *    nor may &quot;OpenSSL&quot; appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.openssl.org/)&quot;
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS&apos;&apos; AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

 Original SSLeay License
 -----------------------

/* Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 *
 * This library is free for commercial and non-commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 *
 * Copyright remains Eric Young&apos;s, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    &quot;This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)&quot;
 *    The word &apos;cryptographic&apos; can be left out if the rouines from the library
 *    being used are not cryptographic related :-).
 * 4. If you include any Windows specific code (or a derivative thereof) from
 *    the apps directory (application code) you must include an acknowledgement:
 *    &quot;This product includes software written by Tim Hudson (tjh@cryptsoft.com)&quot;
 *
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS&apos;&apos; AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */


</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
WebRTC <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright (c) 2014 The WebRTC project authors. All Rights Reserved.
Copyright 2015 The WebRTC project authors. All Rights Reserved.
Copyright 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2016 The WebRTC Project Authors. All rights reserved.
Copyright 2017 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2015 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2017 The WebRTC Project Authors. All rights reserved.
Copyright 2013 The WebRTC project authors. All Rights Reserved.
Copyright 2014 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2013 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2012 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2011 The WebRTC project authors. All Rights Reserved.
Copyright Takuya OOURA, 1996-2001 Copyright (c) 2015 The WebRTC project authors. All Rights Reserved.
Written by Wilco Dijkstra, 1996. The following email exchange establishes the
From: Wilco Dijkstra &lt;Wilco.Dijkstra@ntlworld.com&gt;
To: Kevin Ma &lt;kma@google.com&gt;
From: &quot;Kevin Ma&quot; &lt;kma@google.com&gt;
To: &lt;Wilco.Dijkstra@ntlworld.com&gt;
Copyright 2011 The WebRTC project authors. All Rights Reserved.
Copyright 2004 The WebRTC project authors. All Rights Reserved.
Copyright 2012 The WebRTC project authors. All Rights Reserved.
Copyright 2008 The WebRTC project authors. All Rights Reserved.
Copyright 2005 The WebRTC project authors. All Rights Reserved.
Copyright 2009 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2017 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2010 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2004 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2008 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2009 The WebRTC project authors. All Rights Reserved.
Copyright 2004 The WebRTC Project Authors. All rights reserved.
Copyright 2014 The WebRTC Project Authors. All rights reserved.
Copyright 2015 The WebRTC Project Authors. All rights reserved.
Copyright 2012 Square Inc.
Copyright 2013 The WebRTC Project Authors. All rights reserved.
Copyright 2012 The WebRTC Project Authors. All rights reserved.
Copyright 2011 The WebRTC Project Authors. All rights reserved.
Copyright(c)1995,97 Mark Olesen &lt;olesen@me.QueensU.CA&gt;
copyright).
Written by Steve Underwood &lt;steveu@coppice.org&gt;
Copyright (C) 2001 Steve Underwood
Copyright (C) 2006 Steve Underwood
Copyright (C) 2005 Steve Underwood
Copyright (c) CMU    1993 Computer Science, Speech Group
Copyright (c) CMU 1993 Computer Science, Speech Group
Author: Phil Burk, http://www.softsynth.com
Copyright (c) 1999-2000 Ross Bencina and Phil Burk
Author: Bjorn Roche, XO Audio, LLC
Copyright 2004--2010, Google Inc.
Copyright Takuya OOURA, 1996-2001 Changes by the WebRTC authors: - Trivial type modifications.- Minimal code subset to do rdft of length 128.- Optimizations because of known length.- Removed the global variables by moving the code in to a class in orderto make it thread safe.
Copyright (C) 2010 The Android Open Source Project
Copyright 2009 The WebRTC Project Authors. All rights reserved.
Copyright 2010 The WebRTC Project Authors. All rights reserved.
Copyright 2008 The WebRTC Project Authors. All rights reserved.
Copyright 2005 The WebRTC Project Authors. All rights reserved.
written by Colin Plumb in 1993, no copyright is claimed.
Copyright 2006 The WebRTC Project Authors. All rights reserved.
Copyright 2007 The WebRTC Project Authors. All rights reserved.
Written by Sarah Thompson (sarah@telergy.com) 2002.
By Steve Reid &lt;sreid@sea-to-sky.net&gt;
Copyright (c) 2012 The Chromium Authors. All rights reserved.
*     Copyright (c) 1999, Bob Withers - bwit@pobox.com
Copyright (c) 2016 The WebRTC Project Authors. All rights reserved.
By James H. Brown &lt;jbrown@burgoyne.com&gt;
3- Changed email address from steve@edmweb.com to sreid@sea-to-sky.net
By Saul Kravitz &lt;Saul.Kravitz@celera.com&gt;
By Ralph Giles &lt;giles@ghostscript.com&gt;
By Justin Uberti &lt;juberti@google.com&gt;
By Ronghua Wu &lt;ronghuawu@google.com&gt;
By Frank Barchard &lt;fbarchard@google.com&gt;
By Sergey Ulanov &lt;sergeyu@chromium.org&gt;
By Peter Boström &lt;pbos@webrtc.org&gt;


Copyright (c) 2011, The WebRTC project authors. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

  * Neither the name of Google nor the names of its contributors may
    be used to endorse or promote products derived from this software
    without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
